
Figure - Bug #116413
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开视频小窗，点击桌面上的视频图标，桌面短暂闪烁后，视频小窗才变为全
屏展示
2023-02-21 14:10 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-21

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302240131

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 根据最新的UE文档,Follow AOSP逻辑来处理小窗和全屏之间的逻辑

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开视频小窗

2、点击桌面上的视频图标

【预期结果】

2、视频小窗展开为全屏显示，过程自然流畅

【实际结果】

2、桌面短暂闪烁后，视频小窗才变为全屏展示

【复现率】

3/3

History

#1 - 2023-02-23 14:00 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 根据最新的UE文档,Follow AOSP逻辑来处理小窗和全屏之间的逻辑

■ Current conclusion

问题已经解决,根据最新的UE文档,Follow AOSP逻辑来处理小窗和全屏之间的逻辑,跟#116412 同一个原因

■ My analysis

去掉之前强制全屏显示的逻辑

当小窗应用存在时,在此点击同一个应用,还是会以小窗的形式存在

增加对不支持小窗模式的处理，参考华为，小米的小窗
■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/183578/2

#2 - 2023-02-24 17:04 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

2.24

验证通过

#3 - 2023-02-24 17:05 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

#4 - 2023-02-24 17:05 - CD TEST-方永红

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302240131

Files

Phone-STS40X190078 2023-02-21 14-10-35.mp4 10.1 MB 2023-02-21 CD TEST-方永红
